Skip to main content

Interface: RequestOptions

Override options for a request.

Hierarchy​

Properties​

body​

• Optional body: string

The request body.

Defined in​

types/lib.ts:114


method​

• Optional method: HttpMethod

The request method.

Defined in​

types/lib.ts:117


cache​

• Optional cache: boolean

Whether to cache this response.

Inherited from​

OverrideOptions.cache

Defined in​

types/lib.ts:97


force​

• Optional force: boolean

Whether to skip the cache check and request the API.

Inherited from​

OverrideOptions.force

Defined in​

types/lib.ts:100


retryLimit​

• Optional retryLimit: number

How many times to retry on 5XX errors.

Inherited from​

OverrideOptions.retryLimit

Defined in​

types/lib.ts:103


ignoreRateLimit​

• Optional ignoreRateLimit: boolean

Whether to ignore throttlers.

Inherited from​

OverrideOptions.ignoreRateLimit

Defined in​

types/lib.ts:106


restRequestTimeout​

• Optional restRequestTimeout: number

Time to wait before cancelling a REST request, in milliseconds.

Inherited from​

OverrideOptions.restRequestTimeout

Defined in​

types/lib.ts:109